Error Opening Rstudio-error loading selected version of R

When I try to open Rstudio, I get a window saying that "Rstudio requires an existing installation of R", and prompts to select a version of R to use. When I select the version I have downloaded, another window pops up saying "An error occurred while attempting to load the selected version of R. Please select a different R installation." I have rstudio v 2022.12.0+353 and R 4.2.2 downloaded. Does anyone know how to get Rstudio to read my downloaded version of R? I have tried deleting and redownloading both R and Rstudio but am still having the same issue.

Can you open R from a terminal app? What OS?

This is in Windows 10. I am able to open R on its own, just not with Rstudio.

Have you tried resetting RStudio's state?

I have the same RStudio and R versions running normally on Windows 10 so this is more of a configuration issue specific to your system rather than software incompatibility